package com.tofly.ghrq_route.module.plan.controller;

import com.tofly.ghrq_route.module.plan.domain.ChildPlanCountBean;
import com.tofly.ghrq_route.module.plan.domain.OfflinePathBean;
import com.tofly.ghrq_route.module.plan.domain.PlanBean;

import java.util.List;

/**
 * Created by Amu on 2017/3/18.
 */

public class PlanCallBack implements IPlanCallBack {
    @Override
    public void onGetPlanList(boolean isSuccess, int errorCode, String errMsg, List<PlanBean> planList, int total) {

    }

    @Override
    public void onGetPlanInfo(boolean isSuccess, int errorCode, String errMsg, PlanBean plan) {

    }

    @Override
    public void onGetTodayPlanCount(boolean isSuccess, int errorCode, String errMsg, int total, List<ChildPlanCountBean> planCount) {

    }

    @Override
    public void onTransferPlanApply(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetPlanPointList(boolean isSuccess, int errorCode, String errMsg, List<OfflinePathBean> planPointList) {

    }

    @Override
    public void onGetChildPlanList(boolean isSuccess, int errorCode, String errMsg, List<PlanBean> childPlanList, int total) {

    }

    @Override
    public void onGetChildPlanPointList(boolean isSuccess, int errorCode, String errMsg, List<OfflinePathBean> planPointList) {

    }

    @Override
    public void onGetChildPlanInfo(boolean isSuccess, int errorCode, String errMsg, PlanBean childPlan) {

    }

    @Override
    public void onGetOfflinePathList(boolean isSuccess, int errorCode, String errMsg, List<OfflinePathBean> offlinePathList) {

    }

    @Override
    public void onUpdatePathOver(boolean isSuccess, int errorCode, String errMsg, List<String> transferedIds) {

    }

    @Override
    public void onUpdatePointOver(boolean isSuccess, int errorCode, String errMsg, List<String> transferedIds) {

    }

    @Override
    public void onUpdatePathOffTime(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onUploadPlanPointLog(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onApplyRecalculatePlanPercent(boolean isSuccess, int errorCode, String errMsg) {

    }

    @Override
    public void onGetRecalculatePlanPoints(boolean isSuccess, int errorCode, String errMsg, List<String> pointIds) {

    }

    @Override
    public void onUpdateRecalculatePlanState(boolean isSuccess, int errorCode, String errMsg) {

    }
}
